Bug 1460457 - pacemaker missing dependency on which (Setup problem: couldn't find command: ip)
pacemaker missing dependency on which (Setup problem: couldn't find command: ip)
Status: ASSIGNED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: resource-agents (Show other bugs)
7.3
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Oyvind Albrigtsen
cluster-qe@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-10 17:25 EDT by Etienne CHAMPETIER
Modified: 2017-07-20 14:44 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
CentOS 0013388 None None None 2017-06-10 17:25 EDT

  None (edit)
Description Etienne CHAMPETIER 2017-06-10 17:25:54 EDT
Description of problem:
Using a minimal install of centos (lxd container), installing pacemaker following redhat documentation
https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/High_Availability_Add-On_Administration/ch-startup-HAAA.html
one of the simplest example is not working (creating a VIP)

Version-Release number of selected component (if applicable):
Nom                 : pacemaker
Architecture        : x86_64
Version             : 1.1.15
Révision            : 11.el7_3.4

How reproducible:
Always

Steps to Reproduce:
1) Install 2 server using minimal version of Centos, without "which" command
2) Create a simple cluster following https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/High_Availability_Add-On_Administration/ch-startup-HAAA.html
3) try to create a VIP
https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/High_Availability_Add-On_Reference/ch-clustresources-HAAR.html
pcs resource create VirtualIP ocf:heartbeat:IPaddr2 ip=192.168.0.120 cidr_netmask=24 op monitor interval=30s

Actual results:
in the logs you will see something like
VirtualIP_monitor_0 on testcentos7-2 'not installed' (5): call=91, status=complete, exitreason='Setup problem: couldn't find command: ip'


Expected results:
Everything works fine ;)


Additional info:
"ip" is installed
# command -v ip
/usr/sbin/ip

but "which" is not
# command -v which || echo "not found"
not found

installing "which" is enough to make everything work

This was only tested with Centos, not RHEL
Comment 2 Ken Gaillot 2017-06-12 09:48:33 EDT
Reassigning to resource-agents since that provides IPaddr2
Comment 3 Chris Feist 2017-07-20 10:48:27 EDT
We typically don't and requirements for dependencies of resource agents because we would require including a large number of packages (OracleDB, etc.).  We will investigate this, because ip is such a common utility, but most likely we will require the user to install all applications themselves.
Comment 4 Etienne CHAMPETIER 2017-07-20 14:44:57 EDT
Hi Chris

"ip" is present, but "which" is not,
the problem here is that the error message is very misleading, and you have to fire strace (or ...) to find the real issue.

Note You need to log in before you can comment on or make changes to this bug.